/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jpolyliner2.utils;

import java.awt.event.MouseEvent;
import polyliner.domain.impl.facade.scalesnap.ScaleSnapGrid;
import polyliner.domain.interfaces.Polyline;
import polyliner.domain.utilities.draw.DrawPointManager;
import polyliner.domain.utilities.draw.DrawPolylineManager;

/**
 *
 * @author dario
 */
public class NoOpAction implements StrategyAction {

    protected ScaleSnapGrid grid;
    protected DrawPointManager pointMgr;
    protected DrawPolylineManager polyMgr;
    protected String description;

    public NoOpAction() {
        this(null,null,null);
    }
    
    public NoOpAction(ScaleSnapGrid grid, DrawPointManager pointMgr, DrawPolylineManager polyMgr) {
        this.grid = grid;
        this.pointMgr = pointMgr;
        this.polyMgr = polyMgr;
        this.description = "No operations available";
    }
    
    public void leftMouseButtonClick(MouseEvent e, Polyline current) {
        //
    }

    public void middleMouseButtonClick(MouseEvent e, Polyline current) {
        //
    }

    public void rightMouseButtonClick(MouseEvent e, Polyline current) {
        //
    }

    public void dragMouse(MouseEvent e, Polyline current) {
        //
    }

    public String getDescription() {
        return this.description;
    }

    public void clear() {
        
    }

}
