/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jpolyliner2.utils;

import java.awt.event.MouseEvent;
import polyliner.domain.impl.facade.scalesnap.ScaleSnapGrid;
import polyliner.domain.interfaces.Point;
import polyliner.domain.interfaces.Polyline;
import polyliner.domain.utilities.draw.DrawPointManager;
import polyliner.domain.utilities.draw.DrawPolylineManager;

/**
 *
 * @author dario
 */
public class RemovePolyPointsOnClickAction extends NoOpAction {

    public RemovePolyPointsOnClickAction(ScaleSnapGrid grid, DrawPointManager pointMgr, DrawPolylineManager polyMgr) {
        super(grid, pointMgr, polyMgr);
        this.description = "Right click to delete the selected point from the selected polyline";
    }

    @Override
    public void rightMouseButtonClick(MouseEvent e, Polyline current) {
        Point p = this.pointMgr.selected(e.getX(), e.getY());
        if (p != null && current != null) {
            current.removePoint(p);
        }
    }

    
}
